## visad.data.mcidas
Class McIDASGridDirectory

    java.lang.Object
      visad.jmet.MetGridDirectory
          visad.data.mcidas.McIDASGridDirectory

public class McIDASGridDirectory
extends MetGridDirectory

McIDASGridDirectory for McIDAS 'grid' directory entries

Field Summary
`(package private) CoordinateSystem` `coordSystem`
`(package private) GridDirectory` `directory`

Fields inherited from class visad.jmet.MetGridDirectory
`columns, levelName, levels, levelUnit, levelValue, paramLongName, paramName, paramUnit, referenceTime, rows, secondLevelName, secondLevelValue, secondTime, validHour, validTime, xType, yType`

Constructor Summary
`McIDASGridDirectory(byte[] h)` Construct a McIDASGridDirectory from the byte representation of a the McIDAS grid directory block
`McIDASGridDirectory(GridDirectory directory)` Construct a McIDASGridDirectory from a GridDirectory

Method Summary
`CoordinateSystem` `getCoordinateSystem()` Get the GRIDCoordinateSystem associated with this grid
`GridDirectory` `getGridDirectory()` Get the grid directory used to create this beast.
`int` `getGridType()` Get the raw navigation block from the directory.
`int[]` `getNavBlock()` Get the raw navigation block from the directory.
`double` `getParamScale()` Get the scale of the parameter values
`String` `toString()` Return a String representation of the McIDASGridDirectory

Methods inherited from class visad.jmet.MetGridDirectory
`getColumns, getLevelName, getLevels, getLevelUnit, getLevelValue, getParamLongName, getParamName, getParamUnit, getReferenceTime, getRows, getSecondLevelName, getSecondLevelValue, getSecondTime, getValidHour, getValidTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### coordSystem

    CoordinateSystem coordSystem

### directory

    GridDirectory directory

Constructor Detail

### McIDASGridDirectory

    public McIDASGridDirectory(GridDirectory directory)

  Construct a McIDASGridDirectory from a GridDirectory

Parameters:
  `directory` - the grid directory cannot be null

### McIDASGridDirectory

    public McIDASGridDirectory(byte[] h)

  Construct a McIDASGridDirectory from the byte representation of a the McIDAS grid directory block

Parameters:
  `h` - header as a byte array

Method Detail

### getParamScale

    public double getParamScale()

  Get the scale of the parameter values

  Returns:
    parameter scale (power of 10)

### getCoordinateSystem

    public CoordinateSystem getCoordinateSystem()

  Get the GRIDCoordinateSystem associated with this grid

  Specified by:
    `getCoordinateSystem` in class `MetGridDirectory`
  Returns:
    coordinate system may be null if nav is unknown.

### getNavBlock

    public int[] getNavBlock()

  Get the raw navigation block from the directory.

  Returns:
    raw int values vary with grid type

### getGridType

    public int getGridType()

  Get the raw navigation block from the directory.

  Returns:
    raw int values vary with grid type (-1 == unknown)

### getGridDirectory

    public GridDirectory getGridDirectory()

  Get the grid directory used to create this beast.

  Returns:
    corresponding edu.wisc.ssec.mcidas.GridDirectory. (may be null)

### toString

    public String toString()

  Return a String representation of the McIDASGridDirectory